org.ajax4jsf.renderkit

## Class LoadResourceRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.LoadResourceRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.UserResourceRenderer2, org.ajax4jsf.resource.ResourceProduser

      public class LoadResourceRendererBase
      extends org.ajax4jsf.renderkit.RendererBase
      implements org.ajax4jsf.renderkit.UserResourceRenderer2

  Author:
    shura

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadResourceRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeToHead(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadResourceRendererBase

          public LoadResourceRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeToHead

          public void encodeToHead(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                            throws java.io.IOException

      Specified by:
        `encodeToHead` in interface `org.ajax4jsf.renderkit.UserResourceRenderer2`
      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.